package com.citygis.web.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: zyl
 * @CreateTime: 2025-01-09
 * @Description: 接入表信息
 * @Version: 1.0
 */
@Data
public class TabAccessTableMsg {

    @JsonSerialize(using = ToStringSerializer.class)
    private Integer id;

    private String tableName;

    private String count;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;


}
