package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.citygis.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author citygis
 * @since 2025-01-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tab_kafkaLog")
@ApiModel(value="TabKafkalog对象", description="")
public class TabKafkalog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("sendCount")
    private String sendCount;

    @TableField("receiveCount")
    private String receiveCount;

    @TableField("time")
    @Excel(name = "时间")
    private String time;

    @TableField("tabName")
    @Excel(name = "topic名")
    private String tabName;

    @ApiModelProperty("数量")
    @TableField(exist = false)
    @Excel(name = "接收量")
    private Integer num;


}
