package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabDatalog;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
public interface ITabDatalogService extends IService<TabDatalog> {

    List<TabDatalog> getDataLogList(TabDatalog tabDatalog);

    List<TabDatalog> getDatalogDetailByTableEnglishName(TabDatalog tabDatalog);

    AjaxResult getLinkTitle(TabDatalog tabDatalog);

}
