package com.citygis.web.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.citygis.common.annotation.DataSource;
import com.citygis.common.enums.DataSourceType;
import com.citygis.web.domain.TabKafkalog;
import com.citygis.web.mapper.TabKafkalogMapper;
import com.citygis.web.service.ITabKafkalogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author citygis
 * @since 2025-01-14
 */
@Service
@DataSource(DataSourceType.SLAVE)
public class TabKafkalogServiceImpl extends ServiceImpl<TabKafkalogMapper, TabKafkalog> implements ITabKafkalogService {

    @Resource
    TabKafkalogMapper tabKafkalogMapper;

    @Override
    public List<TabKafkalog> getKafkaLogList(TabKafkalog tabKafkalog) {
        return tabKafkalogMapper.getKafkaLogList(tabKafkalog);
    }
}
